package com.hys.app.pay.ali;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "wx")
public class WxConfig {
    /**
     *  商户号
     */
    private String merchantId;
    /**
     * 商户API私钥路径
     */
    private String privateKeyPath;
    /**
     * 序列号
     */
    private String merchantSerialNumber;
    /**
     *  商户APIV3密钥
     */
    private String apiV3Key;
    /**
     *  APPID
     */
    private String appid;

    /**
     *  回调地址
     */
    private String notifyUrl;
}